FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 09-18-2012, 02:21 AM
Albretch Mueller
 
Default "Segmentation faults" and "could not locate so-and-so library or plugin" ...

I am trying to install an application (huludesktop), but I either get
a "Segmentation fault" or "Hulu Desktop could not locate the Flash
plugin" message.

You may easily spot the mistake or have suggestions based on the steps
I followed or you could let me know about either how to troubleshoot
that error in more detail or debug it

thanks
lbrtchx

here is the hard- and software I am using

$ sudo lspci -v
...

01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee
ATI RV516 [Radeon X1300/X1550 Series] (prog-if 00 [VGA controller])
Subsystem: Dell Device 0d02
Flags: bus master, fast devsel, latency 0, IRQ 18
Memory at d0000000 (64-bit, prefetchable) [size=256M]
Memory at fdaf0000 (64-bit, non-prefetchable) [size=64K]
I/O ports at cc00 [size=256]
[virtual] Expansion ROM at fda00000 [disabled] [size=128K]
Capabilities: [50] Power Management version 2
Capabilities: [58] Express Endpoint, MSI 00
Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit+
Kernel driver in use: radeon

01:00.1 Display controller: Advanced Micro Devices [AMD] nee ATI RV516
[Radeon X1300 Pro] (Secondary)
Subsystem: Dell Device 0d03
Flags: fast devsel
Memory at fdae0000 (64-bit, non-prefetchable) [disabled] [size=64K]
Capabilities: [50] Power Management version 2
Capabilities: [58] Express Endpoint, MSI 00

...

$ uname -a
Linux Microknoppix 3.3.7 #38 SMP PREEMPT Tue May 22 06:21:01 CEST 2012
i686 GNU/Linux

$ sudo cp*.so /usr/lib/mozilla/plugins/

$ ls -l /usr/lib/mozilla/plugins/libflashplayer.so
-rw-r--r-- 1 root root 19216944 Sep 14 14:51
/usr/lib/mozilla/plugins/libflashplayer.so

$ md5sum -b /usr/lib/mozilla/plugins/libflashplayer.so
873de7ff3aaaf07a530d57cf0e8efb20 */usr/lib/mozilla/plugins/libflashplayer.so

$ cat ~/.huludesktop | grep flash
[flash]
flash_location = /usr/lib/mozilla/plugins/libflashplayer.so

$ ./huludesktop
Hulu Desktop could not locate the Flash plugin.
If you already have it installed, please modify ~/.huludesktop with
the correct location of libflashplayer.so

$ huludesktop
(huludesktop:3336): Gdk-WARNING **: gdk_window_new(): parent is destroyed
(huludesktop:3336): Gdk-CRITICAL **: IA__gdk_window_get_display:
assertion `GDK_IS_WINDOW (window)' failed
(huludesktop:3336): Gdk-CRITICAL **:
IA__gdk_x11_get_xatom_by_name_for_display: assertion `GDK_IS_DISPLAY
(display)' failed
(huludesktop:3336): Gdk-WARNING **:
/build/buildd-gtk+2.0_2.24.10-1-i386-kBWRW9/gtk+2.0-2.24.10/gdk/x11/gdkdrawable-x11.c:952
drawable is not a pixmap or window
(huludesktop:3336): Gdk-CRITICAL **: IA__gdk_x11_display_get_xdisplay:
assertion `GDK_IS_DISPLAY (display)' failed
Segmentation fault
Albretch Mueller posted on Sep 14 2012, 6:57:0 PM
~
http://knoppix.net/forum/threads/30205-Segmentation-fault-or-Hulu-Desktop-could-not-locate-the-Flash-plugin-...
~


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/CAFakBwjSqZdwQ4+CRrUGDZhOx+4qF-hTFqqRY70UPw+uEQKP=Q@mail.gmail.com
 
Old 09-18-2012, 04:29 PM
Camaleón
 
Default "Segmentation faults" and "could not locate so-and-so library or plugin" ...

On Tue, 18 Sep 2012 02:21:51 +0000, Albretch Mueller wrote:

> I am trying to install an application (huludesktop), but I either get a
> "Segmentation fault" or "Hulu Desktop could not locate the Flash plugin"
> message.

(...)

The error messages you get are similar to these:

GDK Failures - Hulu Desktop
http://forums.linuxmint.com/viewtopic.php?f=48&t=88670

Hulu Desktop 64 not working in Gnome 3.
http://forums.opensuse.org/english/get-technical-help-here/applications/474047-hulu-desktop-64-not-working-gnome-3-a.html

You can try with the given hints :-?

Greetings,

--
Camaleón


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/k3a7hk$thl$15@ger.gmane.org
 

Thread Tools




All times are GMT. The time now is 10:19 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org